Package org.eclipse.jface.databinding.wizard

## Class WizardPageSupport

- java.lang.Object
- - org.eclipse.jface.databinding.dialog.DialogPageSupport
  - - org.eclipse.jface.databinding.wizard.WizardPageSupport

    public class WizardPageSupport
    extends DialogPageSupport

Connects the validation result from the given data binding context to the given wizard page, updating the wizard page's completion state and its error message accordingly.

The completion state of the wizard page will only be set to `true` if all of the following conditions are met:

- The validation result from the data binding context has none of the severities `IStatus.ERROR` or `IStatus.CANCEL`.
- None of the validation status observables of the data binding context is stale.

Since:
  1.1
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from class org.eclipse.jface.databinding.dialog.DialogPageSupport

`currentStatus, currentStatusStale`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WizardPageSupport` `create​(WizardPage wizardPage, DataBindingContext dbc)` Connect the validation result from the given data binding context to the given wizard page.
`protected void` `handleStatusChanged()`

### Methods inherited from class org.eclipse.jface.databinding.dialog.DialogPageSupport

`create, dispose, getDialogPage, handleStatusException, handleUIChanged, init, setValidationMessageProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static WizardPageSupport create​(WizardPage wizardPage,
                                           DataBindingContext dbc)

Connect the validation result from the given data binding context to the given wizard page. Upon creation, the wizard page support will use the context's validation result to determine whether the page is complete. The page's error message will not be set at this time ensuring that the wizard page does not show an error right away. Upon any validation result change, `WizardPage.setPageComplete(boolean)` will be called reflecting the new validation result, and the wizard page's error message will be updated according to the current validation result.

Parameters:
  `wizardPage` -
  `dbc` -
Returns:
  an instance of WizardPageSupport

#### handleStatusChanged

    protected void handleStatusChanged()

Overrides:
  `handleStatusChanged` in class `DialogPageSupport`